Altibase.jdbc.driver.sharding.core

## Class ShardRange

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.ShardRange

    public class ShardRange
    extends java.lang.Object

range와 subrange를 포함하는 데이터 노드의 정보를 나타내는 클래스

### Constructor Summary

Constructors
Constructor and Description
`ShardRange(DataNode aNode, Range<? extends java.lang.Comparable>... aRanges)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataNode` `getNode()`
`Range<? extends java.lang.Comparable>` `getRange()`
`Range<? extends java.lang.Comparable>` `getSubRange()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShardRange

    public ShardRange(DataNode aNode,
                      Range<? extends java.lang.Comparable>... aRanges)

### Method Detail

#### getRange

    public Range<? extends java.lang.Comparable> getRange()

#### getSubRange

    public Range<? extends java.lang.Comparable> getSubRange()

#### getNode

    public DataNode getNode()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`